package admin

import (
	"github.com/metarare/metarare_api/models"
	"gorm.io/gorm"
)

type AdminAuthContainer struct {
	AccessToken string                 `json:"access_token,omitempty"`
	Permission  models.AdminPermission `json:"permission,omitempty"`
}

type UpdateStatus struct {
	ID     uint64 `json:"id"`
	Status string `json:"status"`
}

type RegisterAdministratorData struct {
	Email    string `json:"email"`
	Password string `json:"password"`
	Name     string `json:"name"`
	Phone    string `json:"phone"`
	Position string `json:"position"`
	Chargeof string `json:"chargeof"`
	Team     string `json:"team"`
}

type UpdatePermission struct {
	AdminID              uint64 `json:"admin_id"`
	UserPermission       bool   `json:"user_permission"`
	CollectionPermission bool   `json:"collection_permission"`
	SystemPermission     bool   `json:"system_permission"`
	AdminPermission      bool   `json:"admin_permission"`
	LogPermission        bool   `json:"log_permission"`
}

type UpdateCuration struct {
	ID    uint64 `json:"id"`
	Index uint64 `json:"index"`
}

type RegisterArtistData struct {
	Name     string `json:"name"`
	Phone    string `json:"phone"`
	Email    string `json:"email"`
	Team     string `json:"team"`
	Category string `json:"category"`
}

type AccountInfo struct {
	Email    string `json:"email"`
	Password string `json:"password"`
}

type RegisterAdminData struct {
	Email    string `json:"email"`
	Password string `json:"password"`
	Name     string `json:"name"`
	Phone    string `json:"phone"`
	Position string `json:"position"`
	Chargeof string `json:"chargeof"`
	Team     string `json:"team"`
}

type SettingData struct {
	SpecialCollection string  `json:"special_collection,omitempty"`
	Commission        float64 `json:"commission,omitempty"`
	GasDeposit        float64 `json:"gas_deposit,omitempty"`
}

type Log struct {
	DB            *gorm.DB     `json:"db"`
	ActionType    string       `json:"action_type"`
	SubActionType string       `json:"sub_action_type"`
	Target        string       `sjon:"target"`
	Admin         models.Admin `json:"admin"`
	TargetID      uint64       `json:"target_id"`
	To            string       `json:"to"`
	From          string       `json:"from"`
}
